Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "9c788032-317f-45b2-9bd9-2669d1181dd9",
"date_start": "2026-10-23T16:43:32.0798854+00:00",
"date_end": "2026-10-23T16:43:32.0798854+00:00",
"modified_dateutc": "2026-10-23T16:43:32.0798854+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "8ee893b4-2def-4fc8-9de6-fd7456db5016",
"user_code": "sample string 8",
"user": {
"id": "29b5ddef-2a48-42c4-98d8-01872b217e88",
"db_language_id": "a922e1e3-89cb-4526-a3b6-54527b99e2aa",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-23T16:43:32.0929185+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "b15a276c-f66b-468c-97aa-48d4fc38d50e",
"sales_organization": {
"id": "3f77a330-4bec-4601-b0a4-b6b161f911b6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d820c03b-bc83-45fe-a3dd-02661dc2a816",
"db_currency_id": "467930d4-60a7-4215-baa7-8a681ea4344a",
"db_language_id": "bc4e3839-8e3a-4253-ace8-66fd094176bc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-23T16:43:32.0929185+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "546312ec-d823-44de-ac32-55132c1ee9e6",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "81676311-df22-470e-9217-38f593fe45be",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-23T16:43:32.0929185+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "0d9f60b1-ce8f-454f-aeb5-e49a51b95ea1"
},
"user_unavailability_type_id": "9e6cb867-a949-4f78-9bff-a907d1bd23d4",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "0c75a551-7fb7-4de0-b2ea-e0d03364efa9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "48c7ad02-b817-4444-b0a3-be812af35a03",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "3f77a330-4bec-4601-b0a4-b6b161f911b6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d820c03b-bc83-45fe-a3dd-02661dc2a816",
"db_currency_id": "467930d4-60a7-4215-baa7-8a681ea4344a",
"db_language_id": "bc4e3839-8e3a-4253-ace8-66fd094176bc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-23T16:43:32.0929185+00:00"
},
"modified_dateutc": "2026-10-23T16:43:32.0929185+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.